xua_asp_fsm_priv Struct Reference

## Data Fields

struct osmo_ss7_asp * | asp
enum osmo_ss7_asp_role | role
struct {
struct osmo_timer_list timer
int out_event
} | t_ack

## Field Documentation

## asp

struct osmo_ss7_asp* xua_asp_fsm_priv::asp

Referenced by dispatch_to_all_as(), peer_send(), peer_send_error(), send_xlm_prim_simple(), xua_asp_fsm_down(), xua_asp_fsm_inactive(), and xua_asp_fsm_start().

## out_event

int xua_asp_fsm_priv::out_event

Referenced by check_stop_t_ack(), peer_send_and_start_t_ack(), and xua_t_ack_cb().

## role

enum osmo_ss7_asp_role xua_asp_fsm_priv::role

Referenced by xua_asp_fsm_start().

##

struct { ... } xua_asp_fsm_priv::t_ack

Referenced by check_stop_t_ack(), peer_send_and_start_t_ack(), xua_asp_allstate(), and xua_t_ack_cb().

## timer

struct osmo_timer_list xua_asp_fsm_priv::timer

Referenced by check_stop_t_ack(), peer_send_and_start_t_ack(), xua_asp_allstate(), and xua_t_ack_cb().

The documentation for this struct was generated from the following file:

- src/xua_asp_fsm.c